Bug 108039 - [CI][DRMTIP] igt@gem_ppgtt@blt-vs-render-ctxn/ctx0 - timeout - last line "Console: switching to colour frame buffer device 300x100"
Summary: [CI][DRMTIP] igt@gem_ppgtt@blt-vs-render-ctxn/ctx0 - timeout - last line "Con...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-24 09:50 UTC by Martin Peres
Modified: 2019-03-06 18:25 UTC (History)
1 user (show)

See Also:
i915 platform: KBL, PNV, SKL
i915 features: GEM/PPGTT


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 3 Chris Wilson 2019-01-11 19:50:49 UTC
commit 9376f4ec3947e61a1985225cdb9e34b06dde5bf7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 8 14:47:45 2019 +0000

    i915/gem_ppgtt: Convert stress test to run for a fixed duration
    
    Currently blt-vs-render runs for a fixed loop count, and exceeds 360s
    on a slow Skylake-y. It really doesn't tell us anything useful about low
    likelihood events after the first few seconds it takes to fill memory,
    so limit it to 30s (and hope that repeated runs in CI is enough to
    exercise the even rarer corner cases).
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108039
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Comment 4 Martin Peres 2019-01-12 08:50:00 UTC
(In reply to Chris Wilson from comment #3)
> commit 9376f4ec3947e61a1985225cdb9e34b06dde5bf7
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Tue Jan 8 14:47:45 2019 +0000
> 
>     i915/gem_ppgtt: Convert stress test to run for a fixed duration
>     
>     Currently blt-vs-render runs for a fixed loop count, and exceeds 360s
>     on a slow Skylake-y. It really doesn't tell us anything useful about low
>     likelihood events after the first few seconds it takes to fill memory,
>     so limit it to 30s (and hope that repeated runs in CI is enough to
>     exercise the even rarer corner cases).
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108039
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>

Wonderful! Thanks :)

Do we have other cases like this that would benefit from a fixed duration as opposed to fixed load? As speeds increase, we also don't want to lose testing coverage because of having a fixed load.
Comment 5 Martin Peres 2019-03-06 18:25:12 UTC
(In reply to Chris Wilson from comment #3)
> commit 9376f4ec3947e61a1985225cdb9e34b06dde5bf7
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Tue Jan 8 14:47:45 2019 +0000
> 
>     i915/gem_ppgtt: Convert stress test to run for a fixed duration
>     
>     Currently blt-vs-render runs for a fixed loop count, and exceeds 360s
>     on a slow Skylake-y. It really doesn't tell us anything useful about low
>     likelihood events after the first few seconds it takes to fill memory,
>     so limit it to 30s (and hope that repeated runs in CI is enough to
>     exercise the even rarer corner cases).
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108039
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>

Definitely fixed the issue, thanks!
Comment 6 CI Bug Log 2019-03-06 18:25:24 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.